Subject: Re: [PATCH] ARM: at91: Add GARDENA smart Gateway AT91SAM board

From: Alexandre Belloni <[email-masked]>
Date: Wed, 19 Aug 2020 12:51:16 +0200

On 19/08/2020 11:04:48+0200, Reto Schneider wrote:
> Hi Alexandre,
> 
> On 8/17/20 12:21 PM, Alexandre Belloni wrote:
> > Thank you for this submission.
> 
> Thanks a lot for the feedback.
> 
> I will send a v2.
> 
> > Overall, I'm not convinced it is a good idea to start from
> > at91sam9x5ek.dtsi as it makes you dtb bigger than necessary but if you
> > want it that way, I'm fine with that.
> 
> Because using at91sam9x5ek.dtsi saves some code (maintenance effort?!) I
> am willing to accept the extra binary size.
> However, if you think that this causes the maintenance efforts to be
> greater than when doing it your way, I'd be up for changing it.
> 

I'd say at91sam9x5ek.dtsi has very little chances to change and even if
this is the case, it will probably not break your device tree but it is
still a possibility.

As said, I'll let you choose.

-- 
Alexandre Belloni, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel